# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2012 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

# core manifest
OpenIDE-Module-Name=Core
OpenIDE-Module-Display-Category=Infrastructure
OpenIDE-Module-Short-Description=The basic framework of NetBeans-based applications.
OpenIDE-Module-Long-Description=\
        This module provides the central infrastructure \
        that lets NetBeans-based applications run. \
        It cannot be disabled.

# Notify system
# {0} - class name of exception
# {1} - path to system folder
NTF_ExceptionalException=\
        A {0} exception has occurred.\n\
\tClick Show Details or see the messages.log file located in your {1} folder.
NTF_ExceptionalExceptionTitle=Unexpected Exception
# {0} - class name of exception
NTF_ExceptionWarning=\
        A {0} exception has occurred.\n\
        However, the system should continue working without further problems.\n\
        Click Show Details for the stack trace.
NTF_ExceptionWarningTitle=Warning

#startup info messages
MSG_MainWindowInit=Initializing Main Window...
MSG_WindowShowInit=Opening Main Window...

# shown in the status line as a notification about saving a DataObject
# {0} = name of the DataObject
CTL_FMT_SavingMessage=Saving {0} ...
MSG_AllSaved=Save All finished.

CTL_Cannot_save=Cannot save {0}


#NbAuthenticator
CTL_PasswordProtected=Password Protected Site

# Shortcuts Editor Controls
ShortcutsEditor.viewByLabel=View By:
ShortcutsEditor.actionsButton.text=Actions
ShortcutsEditor.actionsButton.text_Mnemonic=C
ShortcutsEditor.shortcutsButton.text=Shortcuts
ShortcutsEditor.shortcutsButton.text_Mnemonic=S
ShortcutsPanel.shortcutTextArea.text=Select View by Actions to Edit Shortcuts for an Action
ShortcutsPanel.addButton.text=Add...
ShortcutsPanel.removeButton.text=Remove
ShortcutsPanel.AddActionTitle=New Shortcut
ActionsPanel.shortcutAddButton.text=Add...
ActionsPanel.shortcutAddButton.text_Mnemonic=A
ActionsPanel.shortcutRemoveButton.text=Remove
ActionsPanel.shortcutRemoveButton.text_Mnemonic=R
ActionsPanel.ShortcutsTitle=Edit Shortcuts
ActionsPanel.AddShortcut=Add Shortcut
ActionsPanel.ShortcutLabel=Shortcut:
ActionsPanel.ShortcutLabel_Mnemonic=S
ACS_ShortcutsPanel.shortcutTextArea.text.a11yName=Select View by Actions to Edit Shortcuts for an Action
ACS_ShortcutsEditor.actionsButton.text.a11yDesc=Select View by Actions to Edit Shortcuts for an Action
ACS_ShortcutsEditor.shortcutsButton.text.a11yDesc=Select View by Shortcuts, but for Edit Shortcuts should be View by Action selected
ACS_ShortcutsPanel.addButton.text.a11yDesc=Add New Shortcuts for Actions
ACS_ShortcutsPanel.removeButton.text.a11yDesc=Remove Shortcuts for Actions
ACSN_ShortcutsPanel.shortcutsList=Shortcuts list
ACSD_ShortcutsPanel.shortcutsList=N/A
ACS_ActionsPanel.ShortcutLabel.a11yName=Fill Shorcut
ACS_ActionsPanel.ShortcutLabel.a11yDesc=Fill Shorcut by Keys combination
ACSN_ActionsPanel.actionsTree=N/A
ACSN_ActionsPanel.shortcutsList=Shortcuts list
ACSD_ActionsPanel.actionsTree=N/A
ACSD_ActionsPanel.shortcutsList=N/A
ACSD_ShortcutsEditor.DialogDesc=N/A
ACSD_ActionsPanel.Dialog=Add new shortcut to the selected action
ACS_ActionsPanel=N/A

# {0} = name of the action already bound to the new shortcut
FMT_ActionsPanel.AlreadyBound=There is already an action bound to this shortcut ({0}).\nDo you want to use the newly selected action instead?

CTL_ExitTitle=Save
# Note that the '&' goes just before the mnemonic character
CTL_Save=&Save
ACSD_Save=Save.
# Note that the '&' goes just before the mnemonic character
CTL_SaveAll=Save &All
ACSD_SaveAll=Save all.
# Note that the '&' goes just before the mnemonic character
CTL_DiscardAll=&Discard All
ACSD_DiscardAll=Discard all.
EXC_Save=An exception occurred while saving
# NotifyException
CTL_Title_Exception=Exception
CTL_NextException=&Next >
CTL_PreviousException=< &Previous
CTL_Exception_Hide_Details=&Hide Details
CTL_Exception_Show_Details=&Show Details
ACSD_NextException=N/A
ACSD_PreviousException=N/A
ACSD_Exception_Hide_Details=N/A
ACSD_Exception_Show_Details=N/A
ACSN_ExceptionStackTrace=N/A
ACSD_ExceptionStackTrace=N/A
ACSD_NotifyExceptionPanel=N/A

ACSN_ListOfChangedFiles=List
ACSD_ListOfChangedFiles=List of changed files for save
ACSD_ExitDialog=Dialog for save any changes

# ???
#MSG_Err_Load_Metal_LF=Failed loading Metal Look and Feel

# NbErrorManager
#NOI18N
MSG_ExceptionHeader={0}*********** Exception occurred ************ at {1,time,short} on {1,date,medium}

# UIModePropertyEditor
CTL_SdiMode=SDI Mode
CTL_MdiMode=MDI Mode

# NbPlaces
CTL_NoWorkspaces=No Workspaces

# NotifyExcPanel
ACN_NotifyExcPanel_Dialog=N/A
ACD_NotifyExcPanel_Dialog=N/A

# blocked event queue
LOG_EventQueueBlocked=AWT Event Dispatch Thread is blocked for {0} ms
#NOI18N
LOG_EventQueueBlocked_ICON_BASE=org/netbeans/core/resources/log-file.gif

# NbAuthenticator
CTL_Authentication=Authentication Required
#NOI18N
USE_Authentication=true

# NbAuthenticatorPanel
NbAuthenticatorPanel.userNameLbl.text=&User Name:
NbAuthenticatorPanel.passwordLbl.text=&Password:
# {0} - realm (domain name?)
NbAuthenticatorPanel.password.description=Password for {0}

ProxySettings.password.description=Proxy password

Title_WebBrowser=Web Browser


#NOI18N
TimableEventQueue.install=true

#NOI18N
StaticNonProxyHosts=localhost|127.0.0.1
